> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar contatos



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /contatos
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /contatos:
    get:
      tags:
        - Contatos
      summary: Listar contatos
      operationId: ListarContatosAction
      parameters:
        - $ref: '#/components/parameters/nomeContato'
        - $ref: '#/components/parameters/codigoContato'
        - $ref: '#/components/parameters/situacaoContato'
        - $ref: '#/components/parameters/idVendedorContato'
        - $ref: '#/components/parameters/cpfCnpjContato'
        - $ref: '#/components/parameters/celularContato'
        - $ref: '#/components/parameters/dataCriacaoContato'
        - $ref: '#/components/parameters/dataAtualizacaoContato'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_contatos_limit'
        - $ref: '#/components/parameters/get_contatos_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: '#/components/schemas/ListagemContatoModelResponse'
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    nomeContato:
      name: nome
      in: query
      description: Pesquisa por nome parcial ou completo
      required: false
      schema:
        type: string
    codigoContato:
      name: codigo
      in: query
      description: Pesquisa por codigo completo
      required: false
      schema:
        type: string
    situacaoContato:
      name: situacao
      in: query
      description: |-
        Pesquisa por situacao
        - B - Ativo
        - A - Ativo Com Acesso Sistema
        - I - Inativo
        - E - Excluido
      required: false
      schema:
        enum:
          - B
          - A
          - I
          - E
      x-enumDescriptions:
        - B - Ativo
        - A - Ativo Com Acesso Sistema
        - I - Inativo
        - E - Excluido
    idVendedorContato:
      name: idVendedor
      in: query
      description: Pesquisa por vendedor padrão
      required: false
      schema:
        type: integer
    cpfCnpjContato:
      name: cpfCnpj
      in: query
      description: Pesquisa por CPF ou CNPJ
      required: false
      schema:
        type: string
    celularContato:
      name: celular
      in: query
      description: Pesquisa pelo celular
      required: false
      schema:
        type: string
    dataCriacaoContato:
      name: dataCriacao
      in: query
      description: Pesquisa por data de criação
      required: false
      schema:
        type: string
        example: '2023-01-01 10:00:00'
    dataAtualizacaoContato:
      name: dataAtualizacao
      in: query
      description: Pesquisa por data de atualização
      required: false
      schema:
        type: string
        example: '2023-01-01 10:00:00'
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_contatos_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_contatos_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemContatoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
            vendedor:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/VendedorResponseModel'
            situacao:
              description: |-

                - B - Ativo
                - A - Ativo Com Acesso Sistema
                - I - Inativo
                - E - Excluido
              type: string
              enum:
                - B
                - A
                - I
                - E
              nullable: true
              x-enumDescriptions:
                - B - Ativo
                - A - Ativo Com Acesso Sistema
                - I - Inativo
                - E - Excluido
            statusCrm:
              description: |-

                - L - Lead
                - P - Prospect
                - C - Cliente
                - I - Inativo
              type: string
              enum:
                - L
                - P
                - C
                - I
              nullable: true
              x-enumDescriptions:
                - L - Lead
                - P - Prospect
                - C - Cliente
                - I - Inativo
            dataCriacao:
              type: string
              nullable: true
            dataAtualizacao:
              type: string
              nullable: true
          type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    VendedorResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````